package cn.axzo.workflow.common.enums;

/**
 * 审批人指定的范围“单位”枚举
 *
 * @author wangli
 * @since 2025-08-13 15:05
 */
public enum ApproverSpecifyRangeUnitEnum {
    in_project("in_project", "项目内", null),
    in_ent("in_ent", "企业内", null),
    in_group_lv_1("in_group_lv_1", "集团岗位，上一级", 1),
    in_group_lv_2("in_group_lv_2", "集团岗位，上二级", 2),
    in_group_lv_3("in_group_lv_3", "集团岗位，上三级", 3),
    in_group_lv_4("in_group_lv_4", "集团岗位，上四级", 4),
    in_group_lv_top("in_group_lv_top", "集团岗位，总公司", Integer.MAX_VALUE),
    UNKNOWN("UNKNOWN", "未知范围", null)
    ;
    private final String type;
    private final String desc;
    private final Integer value;

    ApproverSpecifyRangeUnitEnum(String type, String desc, Integer value) {
        this.type = type;
        this.desc = desc;
        this.value = value;
    }

    public String getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }

    public Integer getValue() {
        return value;
    }
}
